local T, C, L, _ = unpack(select(2, ...))

--------------------------------------------------------------------------------------
--	ShestakUI personal configuration file
--	BACKUP THIS FILE BEFORE UPDATING!
--	ATTENTION: When saving changes to a file encoded file should be in UTF8
--------------------------------------------------------------------------------------
--	Configuration example:
--------------------------------------------------------------------------------------
-- if T.name == "MegaChar" then
--		C["chat"].width = 100500
--		C["tooltip"].cursor = false
--		C["unitframe_class_bar"].totem = false
--		C["position"].tooltip = {"BOTTOMRIGHT", Minimap, "TOPRIGHT", 2, 5}
--		C["position"].bottom_bars = {"BOTTOM", UIParent, "BOTTOM", 2, 8}
--		C["position"].unitframes.tank = {"BOTTOMLEFT", UIParent, "BOTTOM", 176, 68}
--		T.CustomFilgerSpell = {
--			{"T_DEBUFF_ICON", {spellID = 115767, unitID = "target", caster = "player", filter = "DEBUFF"}},
--		}
-- end
--------------------------------------------------------------------------------------

--------------------------------------------------------------------------------------
--	Per Class Config (overwrite general)
--	Class need to be UPPERCASE
--------------------------------------------------------------------------------------
if T.class == "HUNTER" then
	C["unitframe"].plugins_swing = true
end

--------------------------------------------------------------------------------------
--	Per Max Character Level Config (overwrite general, class and name)
--------------------------------------------------------------------------------------
if T.level ~= MAX_PLAYER_LEVEL then

end

--------------------------------------------------------------------------------------
--	Per Character Name Config (overwrite general and class)
--	Name need to be case sensitive
--------------------------------------------------------------------------------------
if T.name == "Dalaran" or T.name == "最爱放风筝" or T.name == "三鹿可乐" or T.name == "三鹿红手" or T.name == "叶落忧然" or T.name == "混吃等死" or T.name == "Sunboy" then
    C.skins.recount1 = true
    if T.name == "Dalaran" or T.name == "最爱放风筝" then
        C.actionbar.split_bars = true
    end
end
--------------------------------------------------------------------------------------
--  自动加入大脚世界频道
--------------------------------------------------------------------------------------
C_Timer.After(20, function()
    local id, channelName =  GetChannelName("大脚世界频道")
    if channelName == nil then
        JoinPermanentChannel("大脚世界频道")
        ChatFrame_AddChannel(DEFAULT_CHAT_FRAME, "大脚世界频道")
    end
end)

------------------------------------------------------------------------------------
--  反和谐
------------------------------------------------------------------------------------
local function Fuck()
    ConsoleExec("SET portal TW")
    SetCVar('profanityFilter', '0')
    SetCVar("alwaysCompareItems", "1")
    SetCVar("overrideArchive", "0")
    SetCVar("ffxGlow", "0")
    SetCVar("weatherDensity", "0")
    SetCVar("screenshotQuality", "10")
end

local F = CreateFrame("FRAME")
F:RegisterEvent("ADDON_LOADED")
F:SetScript("OnEvent", Fuck)

-------------------------------------------------------------------------------------
--  交易时自动打开背包
-------------------------------------------------------------------------------------
local Trade = CreateFrame("Frame")
Trade:RegisterEvent("TRADE_SHOW")
Trade:RegisterEvent("TRADE_CLOSED")
Trade:SetScript("OnEvent", function(self, event)
    if event == "TRADE_SHOW" then
        OpenAllBags()
    elseif event == "TRADE_CLOSED" then
        CloseAllBags()
    end
end)